aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAstroFloyd <AstroFloyd@gmail.com>2017-04-01 15:43:02 +0200
committerAstroFloyd <AstroFloyd@gmail.com>2017-04-01 15:43:02 +0200
commitb8ea4257543aa0a073bcccaf046ef779200da8b9 (patch)
treeb9d7056570c8f841734c08dba8caa85a4cfb8fd7
parentnet-misc/googlecl: revision bump to v0.9.15-r1 (diff)
downloadAstroFloyd-b8ea4257543aa0a073bcccaf046ef779200da8b9.zip
AstroFloyd-b8ea4257543aa0a073bcccaf046ef779200da8b9.tar.gz
AstroFloyd-b8ea4257543aa0a073bcccaf046ef779200da8b9.tar.bz2
app-text/epubcheck: revision bump to v1.0.5-r1
Package-Manager: Portage-2.3.3, Repoman-2.3.1
-rw-r--r--app-text/epubcheck/ChangeLog10
-rw-r--r--app-text/epubcheck/Manifest6
-rw-r--r--app-text/epubcheck/epubcheck-1.0.5-r1.ebuild49
-rw-r--r--app-text/epubcheck/epubcheck-1.0.5.ebuild57
-rw-r--r--app-text/epubcheck/metadata.xml8
5 files changed, 71 insertions, 59 deletions
diff --git a/app-text/epubcheck/ChangeLog b/app-text/epubcheck/ChangeLog
new file mode 100644
index 0000000..e0c1e64
--- /dev/null
+++ b/app-text/epubcheck/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for app-text/epubcheck
+# Copyright 1999-2017 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*epubcheck-1.0.5-r1 (01 Apr 2017)
+
+ 01 Apr 2017; AstroFloyd <AstroFloyd@gmail.com> -epubcheck-1.0.5.ebuild,
+ +epubcheck-1.0.5-r1.ebuild, +metadata.xml:
+ Revision bump
+
diff --git a/app-text/epubcheck/Manifest b/app-text/epubcheck/Manifest
index 413792f..1dd921b 100644
--- a/app-text/epubcheck/Manifest
+++ b/app-text/epubcheck/Manifest
@@ -1,2 +1,4 @@
-DIST epubcheck-src-1.0.5.zip 1451354 RMD160 4b13c399eb14508325729418f063027fb5692659 SHA1 bdaba7a811a09f076457d35feb94ecdd31676bd1 SHA256 86aa499ae8518a9d457a65ee92d08130ad13626ef26c27bae6f02564066be119
-EBUILD epubcheck-1.0.5.ebuild 1008 RMD160 b59f137aa4ce54ba19bda6585610a472b0689813 SHA1 34872c850f6564f525f94a216a3521d3d5970c91 SHA256 5ffd3642bf91dd90c4486b30298ed7cbadab240282bdd68f9cd6be0d682af029
+DIST epubcheck-src-1.0.5.zip 1451354 SHA256 86aa499ae8518a9d457a65ee92d08130ad13626ef26c27bae6f02564066be119
+EBUILD epubcheck-1.0.5-r1.ebuild 999 SHA256 2461e069c5a7f67b84f43277af09726a7730e15240bc8b3b819bd184369c9ae7 SHA512 de2d8fe92e8bdcc3094aefc747e0df5f00c32cce5f10a0b5ced3e4accbc251673bf729b95b6375812acc18e8aa9c74899f7260cb575debd65cdba7e58257fc85 WHIRLPOOL 326554fd35b3d79fe1294fbed8f89e1e68addf11eca20630b9a4b3af4bfd98ac578ca1bf44710f3738032e8f35c99ed2abe970e147b250abe061100b8866524d
+MISC ChangeLog 290 SHA256 95b1c2016e6b74db0d18981d28827175b991b8b066a491d174c84983ef32d22e SHA512 b4312de357d7cbb954bc0a9a8173a888bdfa002075e8cc8c7c7f51d415e4f1775d2388d5123b61c1bdfcd98021d5d8b963571f3898bd4ce34a801fad90d48ecf WHIRLPOOL 290ad1734b0cd86ab6c92423f804b9b48263a5015774f2b3a50a6327b039af328fe20ccbee448c06f83d6d51f7650ba2d719bffb25d6dbcdeb3819aacb97d293
+MISC metadata.xml 252 SHA256 fa82c8f8ccb7949415fff69cab33850a03547531946e14a4184f1ecda61abf26 SHA512 163d2b3a3faf9e2897150626ba1b1dcf37787379284e0222dd667c03c1fce18ac5e63489ea2674e9b3c5328e5aa636839becdfa8d0dd2b49ffd77019deb88729 WHIRLPOOL 253b5757951fa6a61178c61d6333a21e90ab81cd6167bc6cfa6032e7f9e3304a9afa8290a3b6607994df74f2bd503d3725e173b9beff10555d395eb74844fc1a
diff --git a/app-text/epubcheck/epubcheck-1.0.5-r1.ebuild b/app-text/epubcheck/epubcheck-1.0.5-r1.ebuild
new file mode 100644
index 0000000..873e4f7
--- /dev/null
+++ b/app-text/epubcheck/epubcheck-1.0.5-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="Verify .epub eBook format"
+HOMEPAGE="http://code.google.com/p/epubcheck/"
+SRC_URI="http://epubcheck.googlecode.com/files/epubcheck-src-${PV}.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND=">=virtual/jdk-1.5
+ >=dev-java/ant-1.6"
+RDEPEND=">=virtual/jre-1.5"
+
+DESTDIR="/"
+
+src_unpack() {
+ unpack ${A}
+}
+
+src_compile() {
+ BITS="32"
+ if use amd64; then
+ BITS="64"
+ fi
+
+ ant -f build.xml || die "emake failed"
+}
+
+src_test() {
+ emake check || die "emake check failed"
+}
+
+src_install() {
+ mkdir -pv "${D}opt/${P}"
+ cp -pr bin dist "${D}opt/${P}" || die "install failed"
+ dodoc README.txt COPYING.txt jing_license.txt || die
+}
+
+pkg_postinst() {
+ elog "epubcheck is installed in /opt/${P}/"
+ elog "Run: java -jar /opt/${P}/dist/${P}.jar book.epub to check the format of book.epub"
+}
+
+pkg_config() {
+ eerror "This ebuild does not have a config function."
+}
diff --git a/app-text/epubcheck/epubcheck-1.0.5.ebuild b/app-text/epubcheck/epubcheck-1.0.5.ebuild
deleted file mode 100644
index 8d0c403..0000000
--- a/app-text/epubcheck/epubcheck-1.0.5.ebuild
+++ /dev/null
@@ -1,57 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-DESCRIPTION="Verify .epub eBook format"
-HOMEPAGE="http://code.google.com/p/epubcheck/"
-SRC_URI="http://epubcheck.googlecode.com/files/epubcheck-src-${PV}.zip"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-DEPEND=">=virtual/jdk-1.5
- >=dev-java/ant-1.6"
-RDEPEND=">=virtual/jre-1.5"
-
-DESTDIR="/"
-
-BITS="32"
-if use amd64; then
- BITS="64"
-fi
-
-
-
-src_unpack() {
- unpack ${A}
-}
-
-
-src_compile() {
- ant -f build.xml || die "emake failed"
-}
-
-src_test() {
- emake check || die "emake check failed"
-}
-
-src_install() {
- mkdir -pv ${D}opt/${P}
- cp -pr bin dist ${D}opt/${P} || die "install failed"
- dodoc README.txt COPYING.txt jing_license.txt || die
-}
-
-pkg_postinst() {
- elog "epubcheck is installed in /opt/${P}/"
- elog "Run: java -jar /opt/${P}/dist/${P}.jar book.epub to check the format of book.epub"
-}
-
-
-pkg_config()
-{
- eerror "This ebuild does not have a config function."
-}
-
-
-
diff --git a/app-text/epubcheck/metadata.xml b/app-text/epubcheck/metadata.xml
new file mode 100644
index 0000000..ae34b4d
--- /dev/null
+++ b/app-text/epubcheck/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>AstroFloyd@gmail.com</email>
+ <name>AstroFloyd</name>
+ </maintainer>
+</pkgmetadata>